ListServiceAccounts
curl --request POST \
--url https://developer.synq.io/api/entities/service-accounts/v1alpha/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://developer.synq.io/api/entities/service-accounts/v1alpha/list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://developer.synq.io/api/entities/service-accounts/v1alpha/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/service-accounts/v1alpha/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/service-accounts/v1alpha/list"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://developer.synq.io/api/entities/service-accounts/v1alpha/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/service-accounts/v1alpha/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"serviceAccounts": [
{
"id": "<string>",
"name": "<string>",
"toolPlatform": "DATA_PLATFORM_TYPE_UNSPECIFIED",
"toolEntityId": "<string>",
"purpose": "PURPOSE_UNSPECIFIED",
"policy": {
"countsTowardPopularity": true,
"listedAsFrequentUser": true,
"countsTowardPopularityResolved": true,
"listedAsFrequentUserResolved": true
},
"priority": 123,
"matchers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
}
],
"builtIn": true,
"excludedPlatformUserIds": [
"<string>"
],
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
],
"personLinks": [
{
"matcher": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"priority": 123,
"identityPattern": "<string>",
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
]
}synq.entities.platformusers.v1alpha.ServiceAccountsService
ListServiceAccounts
List every workspace service account, then every built-in one, in the order they apply, and the person links in a second list.
POST
/
api
/
entities
/
service-accounts
/
v1alpha
/
list
ListServiceAccounts
curl --request POST \
--url https://developer.synq.io/api/entities/service-accounts/v1alpha/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://developer.synq.io/api/entities/service-accounts/v1alpha/list"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://developer.synq.io/api/entities/service-accounts/v1alpha/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/service-accounts/v1alpha/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/service-accounts/v1alpha/list"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://developer.synq.io/api/entities/service-accounts/v1alpha/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/service-accounts/v1alpha/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"serviceAccounts": [
{
"id": "<string>",
"name": "<string>",
"toolPlatform": "DATA_PLATFORM_TYPE_UNSPECIFIED",
"toolEntityId": "<string>",
"purpose": "PURPOSE_UNSPECIFIED",
"policy": {
"countsTowardPopularity": true,
"listedAsFrequentUser": true,
"countsTowardPopularityResolved": true,
"listedAsFrequentUserResolved": true
},
"priority": 123,
"matchers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
}
],
"builtIn": true,
"excludedPlatformUserIds": [
"<string>"
],
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
],
"personLinks": [
{
"matcher": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"priority": 123,
"identityPattern": "<string>",
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type ListServiceAccountsRequest · object.
Response
200 - application/json
Success
The workspace's accounts by priority, highest first, then the last update, newest first, then id.
Then the built-in accounts, in the order they apply, built_in.coalesce-quality first.
Show child attributes
Show child attributes
By priority, highest first, then the last update, newest first, then id.
Show child attributes
Show child attributes